%global pypi_name zabbix-api-erigones

Name:           python-%{pypi_name}
Version:        1.2.4
Release:        3%{?dist}
Summary:        Zabbix API Python Library

License:        LGPLv2
URL:            https://github.com/erigones/zabbix-api/
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  python2-devel
%if 0%{?fedora}
BuildRequires:  python2-setuptools
%else
BuildRequires:  python-setuptools
%endif

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global desc Zabbix API Python Library.\
\
Used by the Ludolph Monitoring Jabber Bot.\
\
* Supported Zabbix versions: 1.8, 2.0, 2.2, 2.4, 3.0

%description
%{desc}

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{desc}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/zabbix_api.py*
%{python2_sitelib}/zabbix_api_erigones-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/zabbix_api.py
%{python3_sitelib}/zabbix_api_erigones-%{version}-py?.?.egg-info

%changelog
* Tue Apr 02 2019 Troy Dawson <tdawson@redhat.com> - 1.2.4-3
- Rebuilt to change main python from 3.4 to 3.6

* Mon Sep 18 2017 ricco <richard.kellner@gmail.com> - 1.2.4-2
- Epel7 support added.

* Thu Aug 31 2017 ricco <richard.kellner@gmail.com> - 1.2.4-1
- Initial package.
